# PetscDrawSetPause

Sets the amount of time that program pauses after a PetscDrawPause() is called.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetPause(PetscDraw draw,int lpause)

Collective on PetscDraw

### Input Parameters

| draw | - the drawing object
| lpause | - number of seconds to pause, -1 implies until user input

### Note

By default the pause time is zero unless the -draw_pause option is given during PetscDrawOpenX().

### See Also

PetscDrawGetPause(), PetscDrawPause()

Level:intermediate
Location: src/sys/draw/interface/dsetpause.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages